Package Details: lmms-git 1.2.1.r583.gb2c4f2939-1

Git Clone URL: https://aur.archlinux.org/lmms-git.git (read-only, click to copy)
Package Base: lmms-git
Description: The Linux MultiMedia Studio.
Upstream URL: https://lmms.io
Licenses: GPL2
Conflicts: lmms
Provides: lmms
Submitter: Wintervenom
Maintainer: MrSoup678
Last Packager: MrSoup678
Votes: 28
Popularity: 0.28
First Submitted: 2009-04-19 19:14
Last Updated: 2020-03-04 18:45

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

Xyne commented on 2014-06-05 18:30

The build fails here too. I'll try to fix it this weekend if I have time. Please submit a patch if you create one.

njeno commented on 2014-06-02 10:24

I got the following error:

[ 55%] Building C object plugins/LadspaEffect/swh/CMakeFiles/bode_shifter_cv_1432.dir/bode_shifter_cv_1432.o
bode_shifter_cv_1432.xml: In function ‘runAddingBodeShifterCV’:
bode_shifter_cv_1432.xml:89:22: error: iteration 100u invokes undefined behavior [-Werror=aggressive-loop-optimizations]
bode_shifter_cv_1432.xml:88:4: note: containing loop
bode_shifter_cv_1432.xml: In function ‘runBodeShifterCV’:
bode_shifter_cv_1432.xml:89:22: error: iteration 100u invokes undefined behavior [-Werror=aggressive-loop-optimizations]
bode_shifter_cv_1432.xml:88:4: note: containing loop
cc1: all warnings being treated as errors
plugins/LadspaEffect/swh/CMakeFiles/bode_shifter_cv_1432.dir/build.make:57: recipe for target 'plugins/LadspaEffect/swh/CMakeFiles/bode_shifter_cv_1432.dir/bode_shifter_cv_1432.o' failed
make[2]: *** [plugins/LadspaEffect/swh/CMakeFiles/bode_shifter_cv_1432.dir/bode_shifter_cv_1432.o] Error 1
CMakeFiles/Makefile2:3214: recipe for target 'plugins/LadspaEffect/swh/CMakeFiles/bode_shifter_cv_1432.dir/all' failed
make[1]: *** [plugins/LadspaEffect/swh/CMakeFiles/bode_shifter_cv_1432.dir/all] Error 2
Makefile:136: recipe for target 'all' failed
make: *** [all] Error 2

funkmuscle commented on 2014-04-12 15:31

http://pastebin.com/PbU7d3Xn

Xyne commented on 2014-04-12 01:24

This package is not out-of-date. I am able to build the latest version without issue. If you are having problems, please post a pastebin link to the exact error messages.

funkmuscle commented on 2014-04-05 17:37

yep 1.0.0 is out but can anyone build it? I've tried and it keeps failing. something to do with RemoteVSTClient

OramahMaalhur commented on 2014-04-04 20:16

1.0.0 is out!

portix commented on 2014-03-20 10:02

lmms is migrating to github, the new repository is under https://github.com/LMMS/lmms.git, also the freetype2 patch isn't necessary anymore, the related issue on the bugtracker is https://github.com/LMMS/lmms/pull/22.

portix commented on 2014-03-20 09:57

lmms is migrating to github, the new repository is under https://github.com/LMMS/lmms.git, also the freetype2 patch isn't necessary anymore.

funkmuscle commented on 2014-01-05 21:44

I've use this git for some time but stopped about 6 months ago because I can't load my own samples the way I did in earlier git or the stable release.

I just decided to try it again and it looks awesome but I still can't load my own samples. Do my samples need to be on the main disk?

Xyne commented on 2014-01-05 20:01

I have added a patch to modify the list of include directories in the dependent CMakeLists.txt file. Can you confirm that the package compiles with it applied?